package com.brilliance.isc.common.api;

import com.brilliance.isc.common.api.diary.service.DiaryApiService;
import com.brilliance.isc.common.api.diary.vo.DiaryRequestVo;
import com.brilliance.isc.common.api.diary.vo.DiaryResponseVo;
import com.brilliance.isc.common.trndia.service.TrndiaService;
import com.brilliance.isc.common.trndia.vo.DiaVo;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DiaryApiServiceImpl implements DiaryApiService {

    @Autowired
    private TrndiaService trndiaService;

    @Override
    public DiaryResponseVo calcDiaries(DiaryRequestVo diaryRequestVo) {
        diaryRequestVo.reset();
        TrndiaVo trndiaVo = diaryRequestVo.getTrndiaVo();
        trndiaService.assertDiaries(trndiaVo);
        return DiaryResponseVo.builder()
                .oldredflg(trndiaVo.getOldredflg())
                .dias(trndiaVo.getDias())
                .build();
    }

    @Override
    public String calculateDiamodflg(DiaVo diaVo) {
        trndiaService.calculateDiamodflg(diaVo);
        return diaVo.getDiamodflg();
    }
}
